Ellipsis APIReferencePlatform

Get Usage Endpoint

Return the caller's usage dashboard data.

GET
/v1/usage

Return the caller's usage dashboard data.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

user-agent?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/usage"
{  "by_model": [    {      "cost_fee_millicents": 0,      "cost_sandbox_cpu_millicents": 0,      "cost_sandbox_memory_millicents": 0,      "cost_tokens_millicents": 0,      "model_id": "string",      "tokens": 0    }  ],  "daily": [    {      "cost_fee_millicents": 0,      "cost_sandbox_cpu_millicents": 0,      "cost_sandbox_memory_millicents": 0,      "cost_tokens_millicents": 0,      "date": "string",      "tokens": 0,      "tokens_cache_creation": 0,      "tokens_cache_read": 0,      "tokens_input": 0,      "tokens_output": 0    }  ],  "period_end": "string",  "period_start": "string",  "prior_total_cost_millicents": 0,  "prior_total_tokens": 0,  "total_cost_millicents": 0,  "total_tokens": 0}